
Foreman - Refactor #27296

Update Puppet repository handling to drop Puppet 4 and add Puppet 6

07/15/2019 09:30 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Puppet integration   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/597,

https://github.com/theforeman/communit

y-templates/pull/615

  

Description

https://groups.google.com/forum/#!topic/puppet-dev/19brLt5MuDw

The Puppet repositories are moving around. Current releases are moved to the top level while all release-archives.puppet.com is

now used for EOL releases. In practice this means that the PC1 repository is gone. We should also add Puppet 6. The

pupppetlabs.com domain is also replaced with puppet.com.

Associated revisions

Revision 076e3db1 - 08/19/2019 11:37 PM - Ewoud Kohl van Wijngaarden

Fixes #27296 - Refactor Puppet repository handling

Revision 99a56e95 - 09/09/2019 02:17 PM - Ewoud Kohl van Wijngaarden

Refs #27296 - Add parameter documentation for puppet6-repo

History

#1 - 07/15/2019 09:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/community-templates/pull/597 added

#2 - 08/19/2019 11:38 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#3 - 08/20/2019 12:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|076e3db168cde8a4911dff3259484958476abdb3.

#4 - 09/09/2019 01:32 PM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/615 added

#5 - 09/10/2019 06:18 AM - Tomer Brisker

- Fixed in Releases 1.23.0 added

- Fixed in Releases deleted (1.24.0)
